% GrTheory - Graph Theory Toolbox.
% 
% Functions:
% grBase - find all bases of digraph;
% grCoBase - find all contrabases of digraph;
% grCoCycleBasis - find all independent cut-sets for a connected graph;
% grColEdge - solve the color problem for graph edges;
% grColVer - solve the color problem for graph vertexes;
% grComp - find all components of graph;
% grCycleBasis - find all independent cycles for a connected graph;
% grDecOrd - solve the problem about decomposition of the digraph 
%   to the sections with mutually accessed vertexes 
%   (strongly connected components);
% grDistances - find the distances between any vertexes of graph;
% grEccentricity - find the (weighted) eccentricity of all vertexes,
%   radius, diameter, center vertexes and the periphery vertexes;
% grIsEulerian - find the Eulerian cycle of graph;
% grIsomorph - solve the problem about isomorphism for two graphs;
% grMaxComSu - solve the maximal complete subgraph problem for the graph;
% grMaxFlows - solve the maximal flow problem for the digraph;
% grMaxMatch - solve the maximal matching problem for the graph;
% grMaxStabSet - solve the maximal stable set problem for the graph;
% grMinAbsEdgeSet - solve the minimal absorbant set problem for the graph edges;
% grMinAbsVerSet - solve the minimal absorbant set problem for the graph vertexes;
% grMinCutSet - solve the minimal cut-set problem for the digraph;
% grMinEdgeCover - solve the minimal edge cover problem for the graph;
% grMinSpanTree - solve the minimal spanning tree problem for the graph;
% grMinVerCover - solve the minimal vertex cover problem for the graph;
% grPERT - solve the project evaluation research task;
% grPlot - draw the plot of the graph (digraph);
% grShortPath - solve the shortest path problem for the digraph;
% grShortVerPath - for digraph with weighted vertexes 
%   solve the problem about the path with minimal weight of verticies.
% grTranClos - built the transitive closure for the digraph;
% grTravSale - solve the nonsymmetrical traveling salesman problem;
% grValidation - auxiliary function (the data validation);
%
% grTheoryTest - test program for all functions.
% 
% Author: Sergii Iglin
% e-mail: siglin@yandex.ru
% personal page: http://iglin.exponenta.ru
